- Retrieve a project password policy for SaaS app resources
- resource_admin
- delegated_resource_admin
Retrieves a project password policy for SaaS app resources in a resource group
- Production serverhttps://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/saas_app_password_settings
curl -i -X GET \
'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/saas_app_password_settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'OK
If true, rotates account passwords after a period of time has passed. You must also set the periodic_rotation_duration_in_seconds and periodic_rotation_account_selector_mode params.
A timestamp indicating when the password policy was last modified
If periodic_rotation_account_selector_mode is set to EXCLUDE, all of the actively managed accounts in the project, except those listed, will have their password periodically rotated
If periodic_rotation_account_selector_mode is set to INCLUDE, only the actively managed accounts listed will have their password periodically rotated
Controls how accounts are selected
| Enum Value | Description |
|---|---|
| ALL | Select all accounts |
| INCLUDE | Only select accounts in the relevant include list |
| EXCLUDE | Only select accounts in the relevant exclude list |
{ "character_options": { "upper_case": true, "lower_case": true, "digits": true, "punctuation": true, "exclude_certain_symbols": [ … ], "exclude_certain_characters": [ … ] }, "enable_periodic_rotation": true, "max_length_in_bytes": 0, "min_length_in_bytes": 0, "modified_at": "2019-08-24T14:15:22Z", "periodic_rotation_account_exclude_list": [ { … } ], "periodic_rotation_account_include_list": [ { … } ], "periodic_rotation_account_selector_mode": "ALL", "periodic_rotation_duration_in_seconds": 0 }